! Physics 222 Class example - looking at kinds of various numbers
!      by Jim Crumley  -  1/17/2006
PROGRAM kinds
! define a variety of numberical variables

!INTEGER (KIND=1) :: int1

  print * , 'Single precision has kind =', KIND(0.0)
  print * , 'Double precision has kind =', KIND(0.0D0)
  WRITE(*,*) SELECTED_REAL_KIND(p=16,r =9)

END PROGRAM kinds

